Loading...
Searching...
No Matches
snd_seq_event_data_t Union Reference
MIDI Sequencer » Sequencer Event Definitions

`#include <seq_event.h>`

## Data Fields

snd_seq_ev_note_t | note
snd_seq_ev_ctrl_t | control
snd_seq_ev_raw8_t | raw8
snd_seq_ev_raw32_t | raw32
snd_seq_ev_ext_t | ext
snd_seq_ev_queue_control_t | queue
snd_seq_timestamp_t | time
snd_seq_addr_t | addr
snd_seq_connect_t | connect
snd_seq_result_t | result
snd_seq_ev_ump_notify_t | ump_notify

## Detailed Description

Sequencer event data

## Field Documentation

## addr

snd_seq_addr_t snd_seq_event_data_t::addr

address

## connect

snd_seq_connect_t snd_seq_event_data_t::connect

connect information

## control

snd_seq_ev_ctrl_t snd_seq_event_data_t::control

MIDI control information

## ext

snd_seq_ev_ext_t snd_seq_event_data_t::ext

external data

## note

snd_seq_ev_note_t snd_seq_event_data_t::note

note information

## queue

snd_seq_ev_queue_control_t snd_seq_event_data_t::queue

queue control

## raw32

snd_seq_ev_raw32_t snd_seq_event_data_t::raw32

raw32 data

## raw8

snd_seq_ev_raw8_t snd_seq_event_data_t::raw8

raw8 data

## result

snd_seq_result_t snd_seq_event_data_t::result

operation result code

## time

snd_seq_timestamp_t snd_seq_event_data_t::time

timestamp

## ump_notify

snd_seq_ev_ump_notify_t snd_seq_event_data_t::ump_notify

UMP info change notification

The documentation for this union was generated from the following file:

- /packaging/alsa-lib/include/seq_event.h